#include <iostream>
using namespace std;

int main(){
    int l,n,m,brSkok=1,minalSkok,dylgina;
    cin>>l>>m>>n;
    minalSkok=m;
    /*for(dylgina=m;dylgina<l;dylgina=dylgina){
        brSkok++;
        minalSkok+=n;
        dylgina=dylgina+minalSkok+n;
        cout<<dylgina<<endl;
    }*/
    dylgina=m;
    while(dylgina<=l){
        minalSkok=minalSkok+n;
        brSkok++;
        dylgina=dylgina+minalSkok;
    }
    cout<<brSkok;
    return 0;
}